Bug 84768 - pcitable not updated to reflect bcm5700-->tg3 module name change
pcitable not updated to reflect bcm5700-->tg3 module name change
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-20 22:13 EST by Russell Stuart
Modified: 2014-03-16 22:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 17:48:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Stuart 2003-02-20 22:13:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021224

Description of problem:
In the kernel, the module for the Broadcom 5700 driver was
renamed from bcm5700 to tg3.  The module is called bcm5700
in kernel-2.4.18-3 and is called tg3 in kernel-2.4.18-24.7.x.
kernel-2.4.18-24.7.x is the latest updated kernel for 7.2,
kernel-2.4.18-3 was the previous update.

Kudzu has never been updated from kudzu-0.99.23-1 - the
original rpm distributed with 7.2.  In particular, the
file /usr/share/kuduz/pcitable was not updated, so kudzu
stopped recognising the Broadcom gigabit ethernet chips
when the kernel update was applied.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install a Broadcom 5700 based ethernet card (I was using a
   Dell 2650, which has it built into the motherboard).
2. Install an original copy of 7.2 - note that the Broadcom
   ethernet card works!
3. Apply all current updates.
4. Reboot - note that Broadcom ethernet card no longer works.

Actual Results:  Broadcom 5700 ethernet card stops working.


Expected Results:  Broadcom 5700 ethernet card should not stop working.

Additional info:

This patch fixes the problem:

--- /usr/share/kudzu/pcitable.orig      Fri Sep  7 07:50:34 2001
+++ /usr/share/kudzu/pcitable   Fri Feb 21 10:53:24 2003
@@ -1890,9 +1890,11 @@
 0x14dc 0x0007  "unknown"       "Amplicon Liveline Ltd|PCI224"
 0x14dc 0x0008  "unknown"       "Amplicon Liveline Ltd|PCI234"
 0x14dc 0x0009  "unknown"       "Amplicon Liveline Ltd|PCI236"
-0x14e4 0x1644  "bcm5700"       "Broadcom Corporation|BCM5700 1000BaseTX"
-0x14e4 0x1645  "bcm5700"       "Broadcom Corporation|BCM5701 1000BaseTX"
-0x14e4 0x1647  "bcm5700"       "Broadcom Corporation|BCM5701 1000BaseTX"
+0x14e4 0x1644  "tg3"           "Broadcom Corporation|BCM5700 1000BaseTX"
+0x14e4 0x1645  "tg3"           "Broadcom Corporation|BCM5701 1000BaseTX"
+0x14e4 0x1646  "tg3"           "Broadcom Corporation|BCM5701 1000BaseTX"
+0x14e4 0x1647  "tg3"           "Broadcom Corporation|BCM5701 1000BaseTX"
+0x14e4 0x1648  "tg3"           "Broadcom Corporation|BCM5701 1000BaseTX"
 0x14e4 0x5820  "bcm5820"       "Broadcom Corporation|BCM5820 PCI Cryptography
Module"
 0x14f1 0x1033  "unknown"       "CONEXANT|56K Winmodem"
 0x14f1 0x1035  "unknown"       "CONEXANT|PCI Modem Enumerator"
Comment 1 Bill Nottingham 2005-02-04 17:48:31 EST
Closing out bugs on older, no longer supported releases. Apologies for any lack
of response. Please attempt to confirm with more recent releases.

Note You need to log in before you can comment on or make changes to this bug.